| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XSModelGroup Class Reference

Inheritance diagram for XSModelGroup:

[legend]
Collaboration diagram for XSModelGroup:

[legend]
List of all members.

## Public Types

enum | COMPOSITOR_TYPE { COMPOSITOR_SEQUENCE = 1, COMPOSITOR_CHOICE = 2, COMPOSITOR_ALL = 3 }

## Public Methods

Constructors
| XSModelGroup (COMPOSITOR_TYPE compositorType, XSParticleList *const particleList, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSModelGroup ()
XSModelGroup methods
COMPOSITOR_TYPE | getCompositor () const
| [compositor]: one of all, choice or sequence. More...
XSParticleList * | getParticles () const
| A list of [particles]. More...
XSAnnotation * | getAnnotation () const
| Optional. More...

## Protected Attributes

COMPOSITOR_TYPE | fCompositorType
XSParticleList * | fParticleList
XSAnnotation * | fAnnotation

## Member Enumeration Documentation

enum XSModelGroup::COMPOSITOR_TYPE

Enumeration values:

  COMPOSITOR_SEQUENCE | This constant value signifies a sequence operator.
  COMPOSITOR_CHOICE | This constant value signifies a choice operator.
  COMPOSITOR_ALL | This content model represents a simplified version of the SGML &-Connector and is limited to the top-level of any content model. No element in the all content model may appear more than once.

## Constructor & Destructor Documentation

XSModelGroup::XSModelGroup | ( | COMPOSITOR_TYPE | compositorType,
|  | XSParticleList *const | particleList,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager
| ) |

The default constructor.

Parameters:

  compositorType |
  particleList |
  annot |
  xsModel |
  manager | The configurable memory manager

XSModelGroup::~XSModelGroup | ( |  | ) |

## Member Function Documentation

XSAnnotation * XSModelGroup::getAnnotation | ( |  | ) | const

| Optional. An [annotation].

XSModelGroup::COMPOSITOR_TYPE XSModelGroup::getCompositor | ( |  | ) | const

| [compositor]: one of all, choice or sequence. The valid constants values are: `COMPOSITOR_SEQUENCE, COMPOSITOR_CHOICE, COMPOSITOR_ALL`.

XSParticleList * XSModelGroup::getParticles | ( |  | ) | const

| A list of [particles].

## Member Data Documentation

XSAnnotation* XSModelGroup::fAnnotation`[protected]`

COMPOSITOR_TYPE XSModelGroup::fCompositorType`[protected]`

XSParticleList* XSModelGroup::fParticleList`[protected]`

The documentation for this class was generated from the following file:

- XSModelGroup.hpp

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.